<?php

declare(strict_types=1);

namespace Kylin\Manufacturing\Enums;

/**
 * 维护类型
 */
enum MaintenanceType: string
{
    case Daily = 'daily';
    case Weekly = 'weekly';
    case Monthly = 'monthly';
    case Yearly = 'yearly';

    public function label(): string
    {
        return match ($this) {
            self::Daily => '日保',
            self::Weekly => '周保',
            self::Monthly => '月保',
            self::Yearly => '年保',
        };
    }
}
